Method: resourceRecordSets.list

Enumerates ResourceRecordSets that you have created but not yet deleted.

HTTP request

GET https://dns.googleapis.com/dns/v1beta2/projects/{project}/managedZones/{managedZone}/rrsets

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
project

string

Identifies the project addressed by this request.

managedZone

string

Identifies the managed zone addressed by this request. Can be the managed zone name or ID.

Query parameters

Parameters
maxResults

integer

Optional. Maximum number of results to be returned. If unspecified, the server decides how many results to return.

pageToken

string

Optional. A tag returned by a previous list request that was truncated. Use this parameter to continue a previous list request.

name

string

Specify a fully qualified domain name to view only those records. The name parameter is not supported and must be omitted when you use filter.

type

string

Specify a record type to view only those records. You must also specify the name parameter. The type parameter is not supported and must be omitted when you use filter.

filter

string

Specify a filter expression to view records that exactly match the specified domain. Both the name and type parameters are not supported and must be omitted when you use filter.

Your filter expression must conform to AIP-160 and you must specify a domain in the name field. Optionally, you can include the type field to filter records by type. You can also include the has_suffix function to view records that match by domain suffix. Examples:

  • name="example.com."
  • name="example.com." AND type="A"
  • name=has_suffix("example.com.")
  • name=has_suffix("example.com.") AND type="A"

Request body

The request body must be empty.

Response body

If successful, the response body contains data with the following structure:

JSON representation
{
  "rrsets": [
    {
      object (ResourceRecordSet)
    }
  ],
  "nextPageToken": string,
  "kind": string
}
Fields
rrsets[]

object (ResourceRecordSet)

The resource record set resources.

nextPageToken

string

This field indicates that more results are available beyond the last page displayed. To fetch the results, make another list request and use this value as your page token. This lets you retrieve the complete contents of a very large collection one page at a time.

However, if the contents of the collection change between the first and last paginated list request, the set of all elements returned are an inconsistent view of the collection. You can't retrieve a consistent snapshot of a collection larger than the maximum page size.

kind

string

Type of resource.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/cloud-platform.read-only
  • https://www.googleapis.com/auth/ndev.clouddns.readonly
  • https://www.googleapis.com/auth/ndev.clouddns.readwrite

For more information, see the Authentication Overview.